Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions
proofs::ZkVerifier< Field, RSFactory > Class Template Reference

## Public Member Functions
| ZkVerifier (const Circuit< Field > &c, const RSFactory &rsf, size_t rate, size_t nreq, const Field &F)
| ZkVerifier (const Circuit< Field > &c, const RSFactory &rsf, size_t rate, size_t nreq, size_t block_enc, const Field &F)
void | recv_commitment (const ZkProof< Field > &zk, Transcript &t) const
bool | verify (const ZkProof< Field > &zk, const Dense< Field > &pub, Transcript &tv) const

The documentation for this class was generated from the following file:

- lib/zk/zk_verifier.h